USN-6492-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6492-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6492-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6492-1
Related
Published
2023-11-21T15:23:51.936272Z
Modified
2023-11-21T15:23:51.936272Z
Summary
mosquitto vulnerabilities
Details

Kathrin Kleinhammer discovered that Mosquitto incorrectly handled certain inputs. If a user or an automated system were provided with a specially crafted input, a remote attacker could possibly use this issue to cause a denial of service. This issue only affected Ubuntu 20.04 LTS. (CVE-2021-34431)

Zhanxiang Song discovered that Mosquitto incorrectly handled certain inputs. If a user or an automated system were provided with a specially crafted input, a remote attacker could possibly use this issue to cause an authorisation bypass. This issue only affected Ubuntu 22.04 LTS and Ubuntu 23.04. (CVE-2021-34434)

Zhanxiang Song, Bin Yuan, DeQing Zou, and Hai Jin discovered that Mosquitto incorrectly handled certain inputs. If a user or an automated system were provided with a specially crafted input, a remote attacker could possibly use this issue to cause a denial of service. This issue only affected Ubuntu 20.04 LTS and Ubuntu 22.04 LTS. (CVE-2021-41039)

Zhengjie Du discovered that Mosquitto incorrectly handled certain inputs. If a user or an automated system were provided with a specially crafted input file, a remote attacker could possibly use this issue to cause a denial of service. (CVE-2023-0809)

It was discovered that Mosquitto incorrectly handled certain inputs. If a user or an automated system were provided with a specially crafted input, a remote attacker could possibly use this issue to cause a denial of service. (CVE-2023-3592)

Mischa Bachmann discovered that Mosquitto incorrectly handled certain inputs. If a user or an automated system were provided with a specially crafted input, a remote attacker could possibly use this issue to cause a denial of service. This issue was only fixed in Ubuntu 22.04 LTS and Ubuntu 23.04. (CVE-2023-28366)

References

Affected packages

Ubuntu:Pro:20.04:LTS / mosquitto

Package

Name
mosquitto

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.6.9-1ubuntu0.1~esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "mosquitto-clients": "1.6.9-1ubuntu0.1~esm1",
            "libmosquittopp-dev": "1.6.9-1ubuntu0.1~esm1",
            "mosquitto-dev": "1.6.9-1ubuntu0.1~esm1",
            "libmosquitto-dev": "1.6.9-1ubuntu0.1~esm1",
            "libmosquitto1": "1.6.9-1ubuntu0.1~esm1",
            "libmosquittopp1": "1.6.9-1ubuntu0.1~esm1",
            "mosquitto": "1.6.9-1ubuntu0.1~esm1"
        }
    ]
}

Ubuntu:22.04:LTS / mosquitto

Package

Name
mosquitto

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.0.11-1ubuntu1.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "mosquitto-clients": "2.0.11-1ubuntu1.1",
            "libmosquittopp-dev": "2.0.11-1ubuntu1.1",
            "mosquitto-dev": "2.0.11-1ubuntu1.1",
            "libmosquitto-dev": "2.0.11-1ubuntu1.1",
            "libmosquitto1": "2.0.11-1ubuntu1.1",
            "libmosquittopp1": "2.0.11-1ubuntu1.1",
            "mosquitto": "2.0.11-1ubuntu1.1"
        }
    ]
}